curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "credit_score"
}'
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.subscriptions
.create({
enroll: 'credit_score',
});
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.create({
'enroll': 'credit_score',
})
{
"id": "sub_c3a7hVjHCJzF3",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2024-04-18T18:48:33.875Z",
"updated_at": "2024-04-18T18:48:33.875Z"
}
Subscriptions
Create a Subscription
POST
/
entities
/
{ent_id}
/
subscriptions
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "credit_score"
}'
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.subscriptions
.create({
enroll: 'credit_score',
});
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.create({
'enroll': 'credit_score',
})
{
"id": "sub_c3a7hVjHCJzF3",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2024-04-18T18:48:33.875Z",
"updated_at": "2024-04-18T18:48:33.875Z"
}
Enrolls an Entity to a Subscription. Once
enrolled, the Subscription name and details will be present
on the response object.
Path Parameters
Body
Returns
Returns a Subscription object.curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "credit_score"
}'
const response = await method
.entities("ent_TYHMaRJUUeJ7U")
.subscriptions
.create({
enroll: 'credit_score',
});
response = method
.entities('ent_TYHMaRJUUeJ7U')
.subscriptions
.create({
'enroll': 'credit_score',
})
{
"id": "sub_c3a7hVjHCJzF3",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2024-04-18T18:48:33.875Z",
"updated_at": "2024-04-18T18:48:33.875Z"
}
⌘I